Name:		kbfx
Version:	0.4.9
Release:	%mkrel 3
Summary:	A kicker bar menu button replacement for KDE
#from:	http://www.kde-look.org/content/show.php?content=24898
URL:		http://www.linuxlots.com/~siraj/kde/plugin/home/
Source:		http://www.linuxlots.com/~siraj/kde/plugin/%{name}-%{version}.tar.bz2
#from: http://www.kde-apps.org/content/show.php?content=26501
Source1:	26501-mandriva-kbfx-pack.zip
Patch1:		kbfx-0.4.9-fix-gcc-4.1-compile.patch.bz2
Patch2:		kbfx-0.4.9-fix-install-icons.patch.bz2
Patch3:		kbfx-0.4.9-fix-mem-leak.patch.bz2
Patch4:		kbfx-0.4.9-fix-mem-leak2.patch.bz2
BuildRequires:	kdelibs-devel
License:	GPL
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Kbfx started as a small hobby project born out of a spontaneous idea. Kbfx
is meant to be a kicker bar menu button replacement on KDE ( K Desktop Env)
The success of kbfx has been the contributions of many KDE lovers and Artists.

To activate:
1. Right-click the current menu applet, and select Remove->Applet->Menu
2. Right-click kicker bar, select Add->Applet->kbfx
3. Turn off applet handles (right-click kicker->Configure Panel->Layout->
   Appearance->Advanced Options->Applet Handles->Hide)

Additional theme images are provided in %{_datadir}/%{name}, drag and
drop an image from Konqueror onto the applet to change themes.

%prep
%setup -q -a 1 
#-n %{name}-%(echo %version|sed -e 's/^0\.//g') -a 1
%patch1 -p1 -b .fix_gcc_4_1_compile
%patch2 -p1 -b .fix_install_icons
%patch3 -p1 -b .fix_mem_leak
%patch4 -p1 -b .fix_mem_leak2

%build
make -f Makefile.cvs
%configure	 \
		--disable-rpath \
		--with-qt-dir=%{_prefix}/lib/qt3 \
		--with-qt-libraries=%{_prefix}/lib/qt3/%{_lib}

%make

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}

themehome=home/adrian/mandriva-kbfx-pack/
install -d %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/
install $themehome/xp.png %{buildroot}%{_iconsdir}/crystalsvg/22x22/apps/
install -d %{buildroot}/%{_datadir}/%{name}/{button-themes,bar-themes}
cp -a $themehome/{blk-mandriva,kicker-backgrounds,mandriva-start-kbfx-2} %{buildroot}/%{_datadir}/%{name}/button-themes
#cp -a theme/New_terminator/terminator %{buildroot}/%{_datadir}/%{name}/bar-themes

%clean 
rm -Rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/*
%defattr(644,root,root,755)
%{_datadir}/apps/kicker/applets/*.desktop
%{_datadir}/%{name}
%{_iconsdir}/crystalsvg/22x22/apps/xp.png
%_bindir/kbfxconfigapp
%_datadir/applications/kde/kbfxconfig.desktop
%_datadir/applications/kde/kcmkbfx.desktop

%_datadir/apps/kbfx/*.htm
%_datadir/apps/kbfx/images/*.png
%_datadir/apps/kbfx/index.htm
%_datadir/apps/kbfx/kbfxconfig.desktop
%_datadir/apps/kbfx/menustyle.htm
%_datadir/apps/kbfx/oodomimagerollover.js
%_datadir/apps/kbfx/remove.htm
%_datadir/apps/kbfx/skins/default/*.png
%_datadir/apps/kbfx/style.css
%_datadir/apps/kbfx/themes.htm
%_datadir/apps/kbfx/tooltip.htm
%_datadir/config.kcfg/kbfx.kcfg
%_datadir/icons/crystalsvg/32x32/actions/*.png
%_datadir/icons/crystalsvg/32x32/apps/*.png
%_datadir/icons/crystalsvg/48x48/actions/*.png

%changelog
* Thu Jul 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-3
- Fix other mem leak

* Thu Jul 13 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-2
- Fix mem leak

* Sun Jun 04 2006 Laurent MONTEL <lmontel@mandriva.com> 0.4.9-1
- 0.4.9

* Mon Aug 08 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.4.7.2-3mdk
- fix qt3 lib path (lib64)
- --enable-final
- --disable-rpath

* Wed Aug 03 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.7.2-2mdk
- use a Mandriva-based theme by default, and add instructions (thanks Dovix)
- ship additional themes too

* Tue Aug 02 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.7.2-1mdk
- New release 0.4.7.2

* Mon Jul 25 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.5-1mdk
- 0.4.5

* Tue Jun 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.2-1mdk
- first package
